
Family Care - Bug #2330

Open file - fields' validation

11/18/2020 03:53 PM - Saja Nakhleh

Status: Closed Start date: 11/01/2020

Priority: Normal Due date: 12/06/2020

Assignee: Saja Nakhleh % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result:  

Severity: Normal Environment: QA

Category: OpenFile Transaction Number:  

Sub-Category:  Username: USR00012/12345678

Step_Description:  Browser: Chrome

Pre_Conditions:  URL:  

Expected Result:  Test Case ID:  

Description

Issue #1:

The user should enter the status type then the serial number, as well, the serial number should be disabled till the status type is

entered (then once the status is entered, the civil id will be lost) . evidence 1.jpg

Issue #2:

an exception will be occurred once the husband name is entered in case of (house wife type). evidence 2.jpg

Issue #3:

the scroll bars:

the inner scroll bar on the submission form should be for the open file submission form

and the outer scroll bar should be for the system main menu(the current behavior is twisted which is not user friendly). evidence 3.gif

Issue #4:

1. Open new (open file) task

2. add all the mandatory fields (status, serial number and civil ID)

3. from (بيانات الحالة) tab, click add

4. enter the serial number (99999999999999) and any valid civil ID

results: an exception will be occurred instead of the error message (invalid serial number. evidence 4.gif

Issue #5:

1. for the previous open file task that created in issue #4, keep the (حالة السكن) and (نوع السكن) empty

2. add (تفاصيل الدخل) with valid data

3. back to (حالة السكن) and fill it with ايجار

results: an exception will be occurred. evidence 5.jpg

Issue #6:

1. for the previous open file task that created in issue #4, click (تفاصيل الدخل)

2. click add

3. select رعاية معاق

4. Observe the (قيمة الدخل) field !!

results:  the (قيمة الدخل) field is disabled before entering the value. evidence 6.jpg

Issue #7:

1. repeat steps 1 to 4 from issue #6

2. click delete beside (رعاية معاق) record

results: an error message will be occurred that prevent update the record or delete it before click confirm action !!! evidence 7.gif that

Issue #8:

1. create new open file task

2. select (كويتيات متزوجات من غير كويتيين) from status

3. enter the following serial number and civil ID for a male (i.e: 2102600711 /295071300976)
results: an exception will be occurred instead of an informative and meaningful info message. evidence 8.gif

\

History

#1 - 11/18/2020 04:02 PM - Saja Nakhleh

- File 2.GIF added

- Description updated

#2 - 11/30/2020 11:13 AM - Saja Nakhleh

- File 3.gif added

- File 1.GIF added

- File 4.GIF added

- File 5.GIF added

- Description updated

#3 - 11/30/2020 11:29 AM - Saja Nakhleh

- File 6.GIF added

- File 7.GIF added

- Description updated

#4 - 11/30/2020 12:15 PM - Saja Nakhleh

- Assignee changed from Saja Nakhleh to Mohannad Sabra

- Username set to USR00012/12345678

- Browser Chrome added

#5 - 11/30/2020 02:25 PM - Saja Nakhleh

- File 8.GIF added

- Description updated

#6 - 11/30/2020 04:55 PM - Mohannad Sabra

- Due date set to 12/06/2020

- Assignee changed from Mohannad Sabra to Musab Khuraisat

- Start date changed from 11/18/2020 to 11/01/2020

Dear Musab,

Kindly Take action regarding the mentioned points above.

#7 - 12/08/2020 02:38 PM - Musab Khuraisat

- Status changed from Open to Fixed

- % Done changed from 0 to 100

Issue #3 is not fixed

#8 - 12/10/2020 11:31 AM - Musab Khuraisat

- Assignee changed from Musab Khuraisat to Saja Nakhleh

Dear Saja,
Kindly note that we have fixed the issues listed in the report except the issue #3, it needs more time to be solved since its a design issue .

Best Regards.

#9 - 12/10/2020 03:46 PM - Saja Nakhleh

- File 16.GIF added

Issue #1:

tested and verified.

Issue #2:

tested and verified.

Issue #3:

back to the dev team

Issue #4:

the exception is not occurring, but nothing will be work (edit, تفاصيل الدخل, delete, add) actions till the user enter the (نوع السكن , حالة السكن)

A message should be occurred that tells the user what preventing him to add a new record to (بيانات مستحق المساعدة)

Issue #5:

Issue #6:

tested and verified.

Issue 7:

tested and verified.

Issue #8:

the exception is not occurring now, instead of that the status, serial number and civil id are reset and the remaining fields preserve their inherited

values, hence at least the informative message should show that the status should not be related a male. Observe evidence 16.gif

#10 - 12/10/2020 04:09 PM - Saja Nakhleh

- Status changed from Fixed to Feedback

- Assignee changed from Saja Nakhleh to Musab Khuraisat

#11 - 12/17/2020 02:30 PM - Mohannad Sabra

Issue #4:

the exception is not occurring, but nothing will be work (edit, تفاصيل الدخل, delete, add) actions till the user enter the (نوع السكن , حالة السكن)

A message should be occurred that tells the user what preventing him to add a new record to (بيانات مستحق المساعدة)

*(The bug has been fixed and deployed kindly check and confirm)*++

Issue #8:
the exception is not occurring now, instead of that the status, serial number and civil id are reset and the remaining fields preserve their inherited

values, hence at least the informative message should show that the status should not be related a male. Observe evidence 16.gif

*(The bug has been fixed and deployed kindly check and confirm)*++

#12 - 12/17/2020 02:30 PM - Mohannad Sabra

- Assignee changed from Musab Khuraisat to Saja Nakhleh

#13 - 12/20/2020 08:28 AM - Saja Nakhleh

- File 1.GIF added

- File 31.GIF added

- File 2.GIF added

- Assignee changed from Saja Nakhleh to Mohannad Sabra

Issue #3:

design issue, back to the dev team

Issue #4:

tested and verified. evidence 2.gif

Issue #5:

verified as the field hidden till the user select (ايجار) option from (حالة السكن)

Issue #8:

tested and verified. evidence 1.jpg

new issue :

Issue #9:

enter invalid civil ID in the (الرقم المدني للزوج) field then enter his name and observe the occurred exception

evidence 31.gif

#14 - 12/27/2020 10:02 AM - Mohannad Sabra

- Assignee changed from Mohannad Sabra to Saja Nakhleh

Issue #9:

action has been taken and issue solved.

#15 - 04/07/2021 02:24 PM - Saja Nakhleh

- Status changed from Feedback to Closed

Issue #9:

tested and verified.
Files

2.GIF 221 KB 11/18/2020 Saja Nakhleh

3.gif 268 KB 11/30/2020 Saja Nakhleh

1.GIF 246 KB 11/30/2020 Saja Nakhleh

4.GIF 266 KB 11/30/2020 Saja Nakhleh

5.GIF 253 KB 11/30/2020 Saja Nakhleh

6.GIF 259 KB 11/30/2020 Saja Nakhleh

7.GIF 131 KB 11/30/2020 Saja Nakhleh

8.GIF 108 KB 11/30/2020 Saja Nakhleh

16.GIF 90.5 KB 12/10/2020 Saja Nakhleh

1.GIF 45.7 KB 12/20/2020 Saja Nakhleh

31.GIF 261 KB 12/20/2020 Saja Nakhleh

2.GIF 121 KB 12/20/2020 Saja Nakhleh
